Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| IAIK PKCS#11 Wrapper version 1.2.18
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## iaik.pkcs.pkcs11.wrapper
Class CK_ATTRIBUTE

    java.lang.Object
      |
      +--iaik.pkcs.pkcs11.wrapper.CK_ATTRIBUTE

All Implemented Interfaces:
  java.lang.Cloneable

public class CK_ATTRIBUTE
extends java.lang.Object
implements java.lang.Cloneable

class CK_ATTRIBUTE includes the type, value and length of an attribute.

PKCS#11 structure:

     typedef struct CK_ATTRIBUTE {
       CK_ATTRIBUTE_TYPE type;
       CK_VOID_PTR pValue;
       CK_ULONG ulValueLen;
     } CK_ATTRIBUTE;

Author:
  Karl Scheibelhofer , Martin Schl??ffer

Field Summary
`java.lang.Object` | `pValue` PKCS#11:
`long` | `type` PKCS#11:

Constructor Summary
`CK_ATTRIBUTE()`

Method Summary
`java.lang.Object` | `clone()` Create a (deep) clone of this object.
`java.lang.String` | `toString()` Returns the string representation of CK_ATTRIBUTE.

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### type

    public long type

  PKCS#11:

         CK_ATTRIBUTE_TYPE type;

### pValue

    public java.lang.Object pValue

  PKCS#11:

         CK_VOID_PTR pValue;
         CK_ULONG ulValueLen;

Constructor Detail

### CK_ATTRIBUTE

    public CK_ATTRIBUTE()

Method Detail

### clone

    public java.lang.Object clone()

  Create a (deep) clone of this object.
  Overrides:
    `clone` in class `java.lang.Object`
  Returns:
    A clone of this object.

### toString

    public java.lang.String toString()

  Returns the string representation of CK_ATTRIBUTE.
  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    the string representation of CK_ATTRIBUTE

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| IAIK PKCS#11 Wrapper version 1.2.18
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

IAIK JavaSecurity Website http://jce.iaik.tugraz.at/
IAIK at Graz University of Technology, Austria, Europe
Copyright 2001-2004, IAIK, Graz University of Technology, Inffeldgasse 16a, 8010 Graz, Austria. All Rights Reserved. version 1.2.18